export declare class AttributeValues {
    options: any[];
    el: HTMLElement;
    attributeOptions: string | any[];
    features: any[];
    header: string;
    headerAttribute: string;
    labelPosition: 'fixed' | 'floating' | 'stacked';
    limit: number;
    valueMaxWidth: string;
    componentWillLoad(): void;
    parseAttributeOptions(): void;
    getItemsForFeature(feature: any, options: any[]): any[];
    generateOptions(feature: any): any[];
    render(): any;
}
